Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetCellVertices

Get the set of transformed vertices lying in the closure of a reference cell of given type

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetCellVertices(DMPlexTransform tr, DMPolytopeType ct, PetscInt *Nv, PetscScalar *trVerts[])

## Input Parameters

- tr - The `DMPlexTransform` object

- ct - The cell type

## Output Parameters

- Nv - The number of transformed vertices in the closure of the reference cell of given type

- trVerts - The coordinates of these vertices in the reference cell

## See Also

`DMPLEX`, `DMPlexTransform`, `DMPolytopeType`, `DMPlexTransformGetSubcellVertices()`

## Level

developer

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages